/***************************************************************************/
/*       Lotos, an extensible overlay network simulator                    */
/*       MNG Group                                                         */
/*       University of Virginia                                            */
/*       July, 2002                                                        */
/***************************************************************************/
package lotos;

import lotos.*; 
import lotos.event.SimEventMsg;
/*
 * The interface for physical layer protocol
 * 
 * @author Guangyu Dong, Jan 6, 2004
 */

interface I_PhysicalLayer
{
	/*
	 * send a message to physical layer
	 */
	boolean sendMsg(SimEventMsg msg);
}

