/***************************************************************************/
/*       Lotos, an extensible overlay network simulator                    */
/*       MNG Group                                                         */
/*       University of Virginia                                            */
/*       July, 2002                                                        */
/***************************************************************************/
package lotos.event;

import lotos.*; 

/**
 * This clas implements the timer event by extending SimEvent
 */
public class SimEventTimer extends SimEvent
{
    /** the type of timer */
    Object index;

    public SimEventTimer(long t, I_EventHandler handler, Object idx)
    {
        super( t, handler, SimEvent.PROTOCOL_TIMER_EVENT);
        index = idx;
    }


    public Object getIndex()
    {
        return index;
    }
    
    public boolean equals(Object o){
    	if(!(o instanceof SimEventTimer))return false;
    	SimEventTimer timer=(SimEventTimer)o;
    	//lotosDebug.println(timer+" | "+index);
    	return  index.equals(timer.index) && timer.target==target;	
    }

}

