/***************************************************************************/
/*       Lotos, an extensible overlay network simulator                    */
/*       MNG Group                                                         */
/*       University of Virginia                                            */
/*       July, 2002                                                        */
/***************************************************************************/
package lotos.agent;

import lotos.*; 
import java.awt.*;
import java.lang.*;
import java.util.*;

/**
 * the ID number used for Spanning Tree Topology
 */

class SPT_Address {
    int Id;
	/** It may be used to generate the node's SPT_Address. */
    protected static Random rand = new Random();
	
	public SPT_Address(){
		int maxID = 256*256;
        setId(Math.abs(rand.nextInt()) % maxID);
	}
	
	public SPT_Address( int id){
		setId(id);
    }
    

    int getId(){ return Id;}
    void setId(int id){ Id=id;}
    
    public final String toString()
    {
        StringBuffer s = new StringBuffer();
        s.append(Id);
        return s.toString();
    }

}
