package lotos.event;

import hypercast.I_Message;
import lotos.PhysicalNode;


/**
 * This class wraps an I_Message object to make it transferable 
 * in Lotos.
 * 
 * @author Guangyu Dong, Feb 2, 2004
 */
public class SimEventProtocolMsg extends SimEventMsg
{
	/**
	 * Constructor
	 * @param osrc		source node
	 * @param odst		destination node
	 * * @param hc_msg	the I_Message object		
	 */
	public SimEventProtocolMsg(PhysicalNode osrc, PhysicalNode odst, I_Message hc_msg) {
		super(osrc, odst, PROTOCOL_MESSAGE, hc_msg);
	}
	
}